**Full name**: projects.locations.tensorboards.experiments.write

Write time series data points of multiple TensorboardTimeSeries in multiple TensorboardRun's. If any data fail to be ingested, an error is returned.

### Endpoint

post `https://{service-endpoint}/v1/{tensorboardExperiment}:write`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`tensorboardExperiment` `string` Required. The resource name of the TensorboardExperiment to write data to. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}`

### Request body

The request body contains data with the following structure:
Fields `writeRunDataRequests[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments/write#WriteTensorboardRunDataRequest`)`` Required. Requests containing per-run TensorboardTimeSeries data to write.

### Response body

If successful, the response body is empty.

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `tensorboardExperiment` resource:

- `aiplatform.tensorboardExperiments.write`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## WriteTensorboardRunDataRequest

Request message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs/write#google.cloud.aiplatform.v1.TensorboardService.WriteTensorboardRunData`.
Fields `tensorboardRun` `string` Required. The resource name of the TensorboardRun to write data to. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}/runs/{run}`
`timeSeriesData[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TimeSeriesData`)`` Required. The TensorboardTimeSeries data to write. Values with in a time series are indexed by their step value. Repeated writes to the same step will overwrite the existing value for that step. The upper limit of data points per write request is 5000.

| JSON representation |
|---|
| ``` { "tensorboardRun": string, "timeSeriesData": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/TimeSeriesData`) } ] } ``` |